<?php


$db_path = $_SERVER['DOCUMENT_ROOT'] . '/assets/database.sqlite';

try {
	/*Setup SQL Interface*/
	$pdo = new PDO('sqlite:' . $db_path);
	$pdo->setAttribute(PDO::ATTR_DEFAULT_FETCH_MODE, PDO::FETCH_ASSOC);
	$pdo->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);

	/*Prepare query*/
	$query = $pdo->prepare("SELECT id, username, password FROM users
											WHERE username = :username");

	/*Execute query*/
	$query->bindValue('username', $_POST['username']);
	$query->execute();
	$query_result = $query->fetch();

	if (
		!empty($query_result) &&
		password_verify($_POST['password'], $query_result['password'])
	) {
		session_start();
		session_regenerate_id();
		$_SESSION['user'] = $query_result['username'];
		$_SESSION['logged'] = true;
		$_SESSION['start'] = time();
		header('Location: /admin.php');
	} else
		header('Location: /admin.php?bad_login=true');
} catch (PDOException $err) {
	echo $err->getMessage();
}
