<?php
include "assets/php/actions/authorise.php";

$upstream_url;

try {
    $db_path = $_SERVER['DOCUMENT_ROOT'] . '/assets/database.sqlite';

    $pdo = new PDO('sqlite:' . $db_path);
    $pdo->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);

    $pdo->prepare("CREATE TABLE IF NOT EXISTS config (
        key TEXT PRIMARY KEY,
        value TEXT)")->execute();

    $query = $pdo->prepare("SELECT value FROM config
    WHERE key='upstream_url'");

    $query->execute();
    $upstream_url = $query->fetch(PDO::FETCH_COLUMN);
} catch (PDOException $err) {
    echo $err->getMessage();
}

?>


<!DOCTYPE html>
<html lang="fr">

<head>
    <title>UFHOUR - Admin</title>
    <!-- Head -->
    <?php require("assets/php/reusables/head.php"); ?>
    <script defer src="/assets/js/admin.js"></script>
</head>

<body>
    <main>
        <header>
            <h1>UFHOUR</h1>
            <p><?= $locale["subtitle"]; ?></p>
        </header>
        <h2><?= $locale["admin_title"]; ?></h2>
        <hr>

        <section>

            <form name="update_source">
                <h3><?= $locale["url_title"]; ?></h3>
                <label><?= $locale["url"]; ?>
                    <input type="text" name="ade_url" <?= ($upstream_url) ? "value = $upstream_url" : 'placeholder = https://adecons.unistra.fr/...'; ?>>
                </label>

                <p class="issue" id="url_issue"><?= $locale["bad_url"]; ?> </p>

                <button type="submit"><?= $locale["update"]; ?></button>
            </form>

            <form name="change_password">
                <h3><?= $locale["change_password"]; ?></h3>
                <label><?= $locale["password"]; ?>
                    <input type="password" name="password" required>
                </label>
                <label><?= $locale["password_confirm"]; ?>
                    <input type="password" name="password" required>
                </label>
                <button type="submit"><?= $locale["action_change_password"]; ?></button>
            </form>

            <form name="add_user">
                <h3><?= $locale["add_user"]; ?></h3>
                <label><?= $locale["username"]; ?>
                    <input type="text" name="username" required>
                </label>
                <label><?= $locale["password"]; ?>
                    <input type="password" name="password" required>
                </label>
                <button type="submit"><?= $locale["action_add"]; ?></button>
            </form>
        </section>
    </main>
    <?php include "assets/php/reusables/nav.php"; ?>
</body>

</html>